#-------------------------------------------------------------------------------
# File Name: db2tsm_janitor.awk
#
# Authors:   Alex Levy /  Dan Day
# Purpose:   Identify the earliest log file in the V8.2 output from the:
#                  "LIST HISTORY BACKUP ALL FOR DB <db_name>" command.
#
#            The earliest backup is at the head of the file. Output for a backup stanza currently looks like this: 
#            Op Obj Timestamp+Sequence Type Dev Earliest Log Current Log  Backup ID      
#            -- --- ------------------ ---- --- ------------ ------------ -------------- 
#            B  D  20060704181037001   F    A  S0000169.LOG S0000169.LOG                
#             ----------------------------------------------------------------------------
#            Contains 200 tablespace(s): <etc.>                                                  
#
# Usage:         nawk -f db2adutl_deletelogs.awk <input_file>
# Last Revision  31.07.2006
#-------------------------------------------------------------------------------


BEGIN {
        EARLIEST_LOG=""
        file_status=0 # getline status: 0 at eof, 1 for a successful read.
        while ( $1 !~ /Op/ )
        { file_status=getline
        }
      }

# Main bit.

{ 
  while ( EARLIEST_LOG == "" && file_status )
  {   
      if ( $1 == "B" )
      {
        EARLIEST_LOG=$6
        print EARLIEST_LOG
        break
      }
      else { file_status=getline  }
  }
}


END {  }
